org.apache.fop.render.ps

## Interface PSEventProducer

- All Superinterfaces:
    EventProducer

      public interface PSEventProducer
      extends EventProducer

  Event producer interface for events generated by the PostScript renderer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PSEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postscriptDictionaryParseError(Object source, String content, Exception e)` A PostScript dictionary could not be parsed.
    `void` | `postscriptLevel3Needed(Object source)` PostScript Level 3 features are necessary.

- - ### Method Detail

    - #### postscriptDictionaryParseError

          void postscriptDictionaryParseError(Object source,
                                              String content,
                                              Exception e)

      A PostScript dictionary could not be parsed.
      Parameters:
        `source` - the event source
        `content` - the PostScript content
        `e` - the original exception
      Event.severity:
        ERROR

    - #### postscriptLevel3Needed

          void postscriptLevel3Needed(Object source)

      PostScript Level 3 features are necessary.
      Parameters:
        `source` - the event source
      Event.severity:
        FATAL

Copyright © 2023 Apache Software Foundation. All rights reserved.